$(document).ready(function () {
    if ($('#parentLocalidad')) {
        resetSelectLocalidad();
    }
});

function resetSelectLocalidad() {
    var textSelectFilter = $('#parentLocalidad .select-items div:first-child').text();
    $('#parentLocalidad .select-selected').text(textSelectFilter);
    $('#parentLocalidad .select-selected').removeClass("white-selected");
    $('#parentLocalidad .select-items div').removeClass("same-as-selected");
    $('#parentLocalidad .select-items div:first-child').addClass("same-as-selected");
    $('#parentLocalidad select[name="localidad"]').selectedIndex = 0;
}



const inputCode = document.getElementById('codePostal');
if (inputCode) {
    inputCode.addEventListener('focus', function () {
        $('select[name="localidad"]').val('all');
        resetSelectLocalidad();
    });
}

const inputSelect = document.getElementById('parentLocalidad');
if (inputSelect) {
    inputSelect.addEventListener('click', function () {
        $('#codePostal').val('');
    });
}

$("#formularioContacto").validate({
    // Specify validation rules
    rules: {
        nombre: "required",
        apellido: "required",
        postal: {
            required: true,
            pattern: /^\d{5}$/
        },
        telefono: "required",
        correo: {
            required: true,
            email: true
        },
    },
    messages: {
        nombre: "El nombre completo es requerido",
        apellido: "El apellido es requerido",
        correo: {
            email: "El formato de correo no es válido",
            required: 'El correo electrónico es requerido'
        },
        postal: {
            required: "El código postal es requerido",
            pattern: "El código postal es incorrecto"
        },
        telefono: "El telefono es requerido"
    },
    // errorPlacement: function (error, element) {
    //     console.log(element.parent());
    //     error.insertAfter(element.parent());
    // }
    // Make sure the form is submitted to the destination defined
    // in the "action" attribute of the form when valid
    submitHandler: function (form, event) {
        event.preventDefault();
        sendFormularioContacto();
    },
});

function sendFormularioContacto() {
    var isvalid = $("#formularioContacto").valid();
    var f = $('#formularioContacto');
    var data = getFormData(f);
    if (isvalid) {
        $("#btnContacto").addClass("disabled-button");
        $.ajax({
            url: aj_ajax.ajaxurl,
            type: 'post',
            data: {
                'action': 'actionSendCorreoContacto',
                formulario: data,
            },
            success: function (resp) {
                var resultado = JSON.parse(resp);
                if (resultado.code == "success") {
                    location.href = linkGracias;
                } else {
                    showMessageErrors();
                }
                $("#btnContacto").removeClass("disabled-button");
            },
            error: function (jqXHR, estado, error) {
                showMessageErrors();
                $("#btnContacto").removeClass("disabled-button");
            },
            complete: function (jqXHR, estado) {
            }
        });
    }
}

function getFormData($form) {
    var unindexed_array = $form.serializeArray();
    var indexed_array = {};

    $.map(unindexed_array, function (n, i) {
        indexed_array[n['name']] = n['value'];
    });

    return indexed_array;
}

function showMessageErrors() {
    var tl = gsap.timeline();
    tl.to('.form-c-principal', { opacity: 0, duration: 1 });
    tl.set('.message-error-contact', { zIndex: 2, pointerEvents: "unset" });
    tl.set('.form-c-principal', { zIndex: -1, pointerEvents: "none" });
    tl.to('.message-error-contact', { opacity: 1, duration: 1 });
}

$('.hide-error-contact').click(function (e) {
    e.preventDefault();
    var tl = gsap.timeline();
    tl.to('.message-error-contact', { opacity: 0, duration: 1 });
    tl.set('.form-c-principal', { zIndex: 2, pointerEvents: "unset" });
    tl.set('.message-error-contact', { zIndex: -1, pointerEvents: "none" });
    tl.to('.form-c-principal', { opacity: 1, duration: 1 });
});


// $("#formBusqueda").validate({
//     // Specify validation rules
//     rules: {
//         postal: {
//             required: false,
//             pattern: /^\d{5}$/
//         },
//     },
//     messages: {
//         postal: {
//             required: "El código postal es requerido",
//             pattern: "El código postal es incorrecto"
//         },
//     },
//     submitHandler: function (form, event) {
//         event.preventDefault();
//         sendFormularioComprar();
//     },
// });

// function sendFormularioComprar(){
//     var data = getFormData($('#formBusqueda'));
//     filtraTienda(data);
// }

// function filtraTienda(filtro) {
//     $('#content-results').empty();
//     $('#form-results').addClass('hidden');
//     $('.loader-tienda').removeClass("hidden");
//     $('.results-empty').addClass('hidden');
//     gsap.delayedCall(1, ajaxTienda, [filtro]);
// }

// function ajaxTienda(paramFiltro) {
//     $.ajax({
//         url: aj_ajax.ajaxurl,
//         type: 'post',
//         data: {
//             'action': 'actionFiltraTiendas',
//             'localidad': paramFiltro.localidad,
//             'codigo': paramFiltro.postal,
//         },
//         success: function (resp) {
//             $('#form-results').removeClass('hidden');
//             $('.loader-tienda').addClass("hidden");
//             $('#content-results').html(resp);
//         },
//         error: function (jqXHR, estado, error) {
//             $('.loader-tienda').addClass("hidden");
//             $('.results-empty').removeClass('hidden');
//         },
//         complete: function (jqXHR, estado) {

//         }
//     });
// }

$("#formularioDistribuidor").validate({
    // Specify validation rules
    rules: {
        nombre: "required",
        telefono: "required",
        correo: {
            required: true,
            email: true
        },
        direccion: "required",
        horarios: "required",
    },
    messages: {
        nombre: "El nombre completo es requerido",
        correo: {
            email: "El formato de correo no es válido",
            required: 'El correo electrónico es requerido'
        },
        telefono: "El telefono es requerido",
        direccion: "La dirección es requerida",
        horarios: "Los horarios son requeridos",
    },
    // errorPlacement: function (error, element) {
    //     console.log(element.parent());
    //     error.insertAfter(element.parent());
    // }
    // Make sure the form is submitted to the destination defined
    // in the "action" attribute of the form when valid
    submitHandler: function (form, event) {
        event.preventDefault();
        sendFormularioDistribuidor();
    },
});

function validateRequiredSelect(f) {
    var contador = 0;
    $(f).find('select').each(function () {
        var isRequired = $(this).attr('required') !== undefined;
        var name = $(this).attr('name');
        if (isRequired) {
            if ($(this).val() == '') {
                contador += 1;
                $('.error-me-' + name).css("display", "block");
            } else {
                $('.error-me-' + name).hide();
            }
        } 1
    });
    return contador;
}

function sendFormularioDistribuidor() {
    var isvalid = $("#formularioDistribuidor").valid();
    var f = $('#formularioDistribuidor');
    var data = getFormData(f);
    var selectAcf = validateRequiredSelect(f);
    if (isvalid && selectAcf == 0) {
        $("#btnContacto").addClass("disabled-button");
        $.ajax({
            url: aj_ajax.ajaxurl,
            type: 'post',
            data: {
                'action': 'actionSendDistribuidor',
                formulario: data,
            },
            success: function (resp) {
                var resultado = JSON.parse(resp);
                if (resultado.code == "success") {
                    location.href = linkGracias;
                } else {
                    showMessageErrors();
                }
                $("#btnContacto").removeClass("disabled-button");
            },
            error: function (jqXHR, estado, error) {
                showMessageErrors();
                $("#btnContacto").removeClass("disabled-button");
            },
            complete: function (jqXHR, estado) {
            }
        });
    }
}

$("#nominaShop").validate({
    rules: {
        direccionTienda: "required",
        nombreTienda: "required",
    },
    messages: {
        direccionTienda: "La dirección es requerida",
        nombreTienda: "El nombre de la tienda es requerida",
    },
    submitHandler: function (form, event) {
        event.preventDefault();
        sendEmailShop();
    },
});

function sendEmailShop() {
    var isvalid = $("#nominaShop").valid();
    var f = $('#nominaShop');
    var data = getFormData(f);
    if (isvalid) {
        $("#btnNomina").addClass("disabled-button");
        $.ajax({
            url: aj_ajax.ajaxurl,
            type: 'post',
            data: {
                'action': 'actionSendShopNominar',
                formulario: data,
            },
            success: function (resp) {
                var resultado = JSON.parse(resp);
                if (resultado.code == "success") {
                    location.href = linkGraciasNominar;
                } else {
                    showMessageErrorsNominar();
                }
                $("#btnNomina").removeClass("disabled-button");
            },
            error: function (jqXHR, estado, error) {
                showMessageErrorsNominar();
                $("#btnNomina").removeClass("disabled-button");
            },
            complete: function (jqXHR, estado) {
            }
        });
    }
}

function showMessageErrorsNominar() {
    $('#contentNomina').addClass("hidden");
    $('#contentError').removeClass("hidden");
    $('html,body').animate({
        scrollTop: $('#parentNomina').offset().top - 80
    }, 0);
}

$('.hide-error-nominar').click(function (e) {
    e.preventDefault();
    $('#contentNomina').removeClass("hidden");
    $('#contentError').addClass("hidden");
    $('html,body').animate({
        scrollTop: $('#parentNomina').offset().top - 80
    }, 0);
});