<?php
function filtraTienda()
{
    if ($_POST['localidad']) {
        $localidad = sanitize_text_field($_POST['localidad']);
        $codePostal = sanitize_text_field($_POST['codigo']);

        if ($localidad == "all" && $_POST['codigo'] == "") {
            $tiendas = new WP_Query(
                array(
                    "post_type" => "tiendas",
                    'post_status' => 'publish',
                    'posts_per_page' => -1,
                    "orderby" => "title",
                    "order" => "DESC"
                )
            );
        } else {
            $tiendas = new WP_Query(
                array(
                    "post_type" => "tiendas",
                    'post_status' => 'publish',
                    'posts_per_page' => -1,
                    "orderby" => "title",
                    "order" => "DESC",
                    'tax_query' => array(
                        'relation' => 'OR',
                        array(
                            'taxonomy' => 'localidad',
                            'field'    => 'slug',
                            'terms'    => $localidad,
                        ),
                        array(
                            'taxonomy' => 'codigo_postal',
                            'field'    => 'slug',
                            'terms'    => $codePostal
                        ),
                    ),
                )
            );
            if ($codePostal !== "") {
                $queryPostal = new WP_Query(
                    array(
                        "post_type" => "postal_code",
                        'post_status' => 'private',
                        'posts_per_page' => -1,
                        "s" => $codePostal
                    )
                );
                date_default_timezone_set("America/Mexico_City");
                $fecha = date("Y-m-d H:i:s");
                global $user_ID;
                if ($queryPostal->have_posts()) {
                    while ($queryPostal->have_posts()) {
                        $queryPostal->the_post();
                        $post_id = get_the_ID();
                        $contadorACF = get_field('contador', $post_id); // Obtenemos el valor actual del contador
                        $contador = intval($contadorACF);
                        $contador++; // Incrementamos el contador en 1
                        update_field('contador', $contador, $post_id); // Actualizamos el valor del contador
                    }
                } else {
                    $new_post = array(
                        'post_title' => $codePostal,
                        'post_status' => 'private',
                        'post_date' => $fecha,
                        'post_author' => $user_ID,
                        'post_type' => 'postal_code'
                    );
                    $post_id = wp_insert_post($new_post);
                    if ($post_id) {
                        update_field('contador', 1, $post_id);
                    }
                }
            }
        }
?>
        <?php if ($tiendas->have_posts()) : ?>
            <?php
            while ($tiendas->have_posts()) : $tiendas->the_post(); ?>
                <?php
                $direccion = get_field('direccion');
                $linkGoogle = get_field('link_google_maps');
                ?>
               <?php
                smk_get_template_part(
                    'template-parts/components/bloqueCardTienda.php',
                    array(
                        'linkGoogle' => $linkGoogle,
                        'direccion' => $direccion
                    )
                );
                ?>
            <?php
            endwhile;
            ?>
        <?php else : ?>
            <?php http_response_code(404); ?>
        <?php endif; ?>
        <?php wp_reset_postdata(); ?>
<?php
    }
    die();
}
?>