/** @type {import('tailwindcss').Config} */
const plugin = require('tailwindcss/plugin')

module.exports = {
  content: [
    './template-parts/**/*.php'
  ],
  theme: {
    extend: {
      screens: {
        '3xl': '1920px',
      },
      container: {
        center:true,
        padding: {
          DEFAULT: '1rem',
          sm: '2rem',
          lg: '2.5rem',
          xl: '3rem',
          '2xl': '8rem',
          '3xl': "8.4rem"
        }
      },
      fontFamily: {
        main:['Red Hat Display', 'sans-serif'],
      },
      colors:{
        "naranja": "#EB6435",
        "naranjaClaro": "#EAAD7D",
        "verdeClaro": "#8CB3AC",
        "azul": "#026C80",
        "azulMedio": "#003262",
        "verde": "#064451",
        "negro": "#111111",
        "grisOpaco": "#dddddd",
        "grisMedio": "#959595",
        "rojo": "#b32d2d",
        "naranjaClaro": "#ff9e0e",
        "verdeWhatsapp": "#00d95f"
      },
    },
  },
  plugins: [
    plugin(function ({ addBase, theme }) {
      addBase({
        'h1, .h1': {
          fontFamily: "Red Hat Display",
          fontWeight: 600,
          fontSize: "calc(32px + (120 - 32) * ((100vw - 300px) / (2300 - 300)))",
          lineHeight: 1.2
        },
        'h2, .h2': {
          fontFamily: "Red Hat Display",
          fontSize: "calc(28px + (52 - 28) * ((100vw - 300px) / (2300 - 300)))",
          lineHeight: 1.2
        },
        'h3, .h3': {
          fontFamily: "Red Hat Display",
          fontSize: "calc(24px + (46 - 24) * ((100vw - 300px) / (2300 - 300)))",
          fontWeight: "bold",
          lineHeight: 1.3
        },
        'h4, .h4': {
          fontFamily: "Red Hat Display",
          fontSize: "calc(20px + (34 - 20) * ((100vw - 300px) / (2300 - 300)))",
          lineHeight: 1.3
        },
        'h5, .h5': {
          fontFamily: "Red Hat Display",
          fontSize: "calc(18px + (26 - 18) * ((100vw - 300px) / (2300 - 300)))",
          fontWeight: 400,
          lineHeight: 1.3
        },
        '.font-medium-text': {
          fontFamily: "Red Hat Display",
          fontSize: "calc(18px + (26 - 18) * ((100vw - 300px) / (2300 - 300)))",
          lineHeight: 1.3
        },
        '.parrafo': {
          fontFamily: "Red Hat Display",
          fontSize: "calc(14px + (18 - 14) * ((100vw - 300px) / (2300 - 300)))",
          lineHeight: 1.3
        },
        '.small': {
          fontFamily: "Red Hat Display",
          fontSize: "calc(12px + (14 - 12) * ((100vw - 300px) / (2300 - 300)))",
          lineHeight: 1.3
        },
        '.font-button': {
          fontFamily: "Red Hat Display",
          fontSize: "calc(12px + (12 - 12) * ((100vw - 300px) / (2300 - 300)))",
          fontWeight: 600,
          lineHeight: 1.2
        },
        '.font-button-small': {
          fontFamily: "Red Hat Display",
          fontSize: "calc(10px + (14 - 10) * ((100vw - 300px) / (2300 - 300)))",
          fontWeight: 600,
          lineHeight: 1.2
        },
        '.font-menu': {
          fontFamily: "Red Hat Display",
          fontSize: "26px",
          lineHeight: 1.2
        },
        '.font-404': {
          fontFamily: "Red Hat Display",
          fontSize: "calc(110px + (283 - 110) * ((100vw - 300px) / (2300 - 300)))",
          fontWeight: 600,
          lineHeight: 1.2
        },
      })
    })
  ],
}

