<div class="bg-gray-mobile lg:bg-gray py-16 md:py-20 xl:py-28">
    <div class="container">
        <div class="flex flex-col lg:flex-row lg:max-w-[90%] lg:mx-auto lg:gap-8 xl:gap-20">
            <div class="lg:flex-1">
                <div class="flex flex-col items-center lg:items-start text-center lg:text-left mb-8 xl:mb-20 sm:max-w-[500px] sm:mx-auto sm:mb-12 lg:mx-0 lg:max-w-full">
                    <?php if ($this->title) { ?>
                        <h3 class="text-verde mb-4 text-animated-title splitting"><?php echo $this->title; ?></h3>
                    <?php } ?>
                    <?php if ($this->subtitle) { ?>
                        <h4 class="text-azul text-opacity-animated"><?php echo $this->subtitle; ?></h4>
                    <?php } ?>
                </div>
                <?php
                if (!empty($this->img)) {
                    $urlImagen = $this->img['url'];
                ?>
                    <div class="w-[80%] mx-auto sm:w-[60%] lg:mx-0 lg:max-w-full lg:w-full mb-10 lg:mb-0">
                        <img src="<?php echo $urlImagen; ?>" class="text-opacity-animated max-h-[52vh] object-contain" alt="pan caracteristicas img">
                    </div>
                <?php } ?>
            </div>
            <?php
            if (!empty($this->repeater)) {
            ?>
                <div class="hidden md:block lg:flex-shrink-0 lg:w-[400px]" id="targeSlider">
                    <div class="h-[900px]">
                        <div class="swiper swyperCaracteristicas swiper-desk">
                            <div class="swiper-wrapper">
                                <?php foreach ($this->repeater as $valor) {
                                    $icon = $valor['icon'];
                                    $titulo = $valor['titulo'];
                                    $texto = $valor['texto'];
                                ?>
                                    <div class="swiper-slide">
                                        <div class="card-caracteristica">
                                            <?php
                                            if (!empty($icon)) {
                                                $urlImg = $icon['url'];
                                            ?>
                                                <div class="h-[50px] flex justify-center items-center mb-4">
                                                    <img src="<?php echo $urlImg; ?>" class="max-h-full object-contain" alt="texture img">
                                                </div>
                                            <?php } ?>
                                            <?php if ($titulo) { ?>
                                                <h4 class="text-verde mb-6"><?php echo $titulo; ?></h4>
                                            <?php } ?>
                                            <?php if ($texto) { ?>
                                                <p class="parrafo text-grisMedio"><?php echo $texto; ?></p>
                                            <?php } ?>
                                        </div>
                                    </div>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>
    <?php
    if (!empty($this->repeater)) {
    ?>
        <div class="md:hidden pl-4 sm:px-8">
            <div class="swiper swyperCaracteristicasMobile">
                <div class="swiper-wrapper wrap-mobile">
                    <?php foreach ($this->repeater as $valor) {
                        $icon = $valor['icon'];
                        $titulo = $valor['titulo'];
                        $texto = $valor['texto'];
                    ?>
                        <div class="swiper-slide slide-mobile">
                            <div class="card-caracteristica">
                                <?php
                                if (!empty($icon)) {
                                    $urlImg = $icon['url'];
                                ?>
                                    <div class="h-[50px] flex justify-center items-center mb-4">
                                        <img src="<?php echo $urlImg; ?>" class="max-h-full object-contain" alt="texture img">
                                    </div>
                                <?php } ?>
                                <?php if ($titulo) { ?>
                                <h4 class="text-verde mb-6"><?php echo $titulo; ?></h4>
                                <?php } ?>
                                <?php if ($texto) { ?>
                                <p class="parrafo text-grisMedio"><?php echo $texto; ?></p>
                                <?php } ?>
                            </div>
                        </div>
                    <?php } ?>
                </div>
            </div>
        </div>
    <?php } ?>
    <div class="md:hidden mt-8">
        <div class="container">
            <div class="swiper-pagination pagination-caracteristicas"></div>
        </div>
    </div>
</div>