<div class="bg-white py-16 md:py-20 xl:py-28">
    <div class="container">
        <div class="flex flex-col items-center text-center md:max-w-[500px] md:mx-auto mb-8 lg:mb-16 xl:mb-20">
            <?php if ($this->titulo) { ?>
                <h3 class="text-verde mb-6 md:mb-8 xl:mb-12 text-animated-title splitting"><?php echo $this->titulo; ?></h3>
            <?php } ?>
            <?php if ($this->texto) { ?>
                <h4 class="text-azul text-opacity-animated"><?php echo $this->texto; ?></h4>
            <?php } ?>
        </div>
        <div class="lg:w-[90%] lg:mx-auto">
            <div class="grid grid-cols-1 md:grid-cols-9 lg:grid-cols-8 md:gap-10 lg:gap-12">
                <div class="hidden md:flex md:items-center md:col-span-3 lg:col-span-2">
                    <?php
                    $index = 0;
                    if (!empty($this->repeater)) {
                    ?>
                        <ul class="w-full list-none flex flex-col text-opacity-animated">
                            <?php foreach ($this->repeater as $valor) {
                                $icon = $valor['icon'];
                                $texto = $valor['texto'];
                            ?>
                                <li class="py-2 <?php if ($index < 3) echo "border-b border-grisOpaco"; ?>">
                                    <div class="flex items-center">
                                        <?php
                                        if (!empty($icon)) {
                                            $urlImg = $icon['url'];
                                        ?>
                                            <div class="shrink-0 mr-4 h-[50px] w-[50px] border border-verdeClaro rounded-full bg-contain bg-center bg-no-repeat" style="background-image: url('<?php echo $urlImg; ?>');"></div>
                                        <?php } ?>
                                        <?php if ($texto) { ?>
                                            <p class="text-verde parrafo"><?php echo $texto; ?></p>
                                        <?php } ?>
                                    </div>
                                </li>
                            <?php
                                $index++;
                                if ($index == 4)
                                    break;
                            } ?>
                        </ul>
                    <?php } ?>
                </div>
                <?php
                if (!empty($this->img)) {
                    $urlImagen = $this->img['url'];
                ?>
                    <div class="flex justify-center items-center relative w-full md:w-auto lg:max-w-[60%] lg:mx-auto lg:pt-12 md:col-span-3 lg:col-span-4">
                        <img src="<?php echo $urlImagen; ?>" class="text-opacity-animated" alt="pan ingredientes tiacreta">
                    </div>
                <?php } ?>
                <?php
                $index = 0;
                if (!empty($this->repeater)) {
                ?>
                    <div class="flex justify-center md:hidden mt-8">
                        <button class="flex items-center text-azul" id="btnToggle">
                            Ver Ingredientes
                            <div class="ml-4 flex">
                                <svg class="transition-all" width="19" height="10" viewBox="0 0 19 10" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path d="m1.46 1 8 8 8-8" stroke="#026C80" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" />
                                </svg>
                            </div>
                        </button>
                    </div>
                    <div class="hidden mt-8 md:flex md:items-center md:col-span-3 lg:col-span-2" id="ingMobile">
                        <ul class="w-full list-none flex flex-col text-opacity-animated">
                            <?php
                            $index = 1;
                            $total = count($this->repeater);
                            foreach ($this->repeater as $valor) {
                                $icon = $valor['icon'];
                                $texto = $valor['texto'];
                            ?>
                                <li class="block py-2 <?php if($total !== $index) echo "border-b border-grisOpaco"; ?> <?php if ($index < 5) echo "md:hidden"; ?>">
                                    <div class="flex items-center">
                                    <?php
                                        if (!empty($icon)) {
                                            $urlImg = $icon['url'];
                                        ?>
                                        <div class="shrink-0 mr-4 h-[50px] w-[50px] border border-verdeClaro rounded-full bg-contain bg-center bg-no-repeat" style="background-image: url('<?php echo $urlImg; ?>');"></div>
                                        <?php } ?>
                                        <?php if ($texto) { ?>
                                            <p class="text-verde parrafo"><?php echo $texto; ?></p>
                                        <?php } ?>
                                    </div>
                                </li>
                            <?php 
                            $index++;
                            } ?>
                        </ul>
                    </div>
                <?php } ?>
            </div>
        </div>
    </div>
</div>